unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  siComp, Menus, ComCtrls, Buttons, ExtCtrls, StdCtrls, ShellAPI;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Options1: TMenuItem;
    Help1: TMenuItem;
    Contents1: TMenuItem;
    N1: TMenuItem;
    About1: TMenuItem;
    Language1: TMenuItem;
    English1: TMenuItem;
    Russian1: TMenuItem;
    Romanian1: TMenuItem;
    N2: TMenuItem;
    Exit1: TMenuItem;
    ShowMessage1: TMenuItem;
    Label1: TLabel;
    Memo1: TMemo;
    Label2: TLabel;
    Panel1: TPanel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    siLang1: TsiLang;
    StatusBar1: TStatusBar;
    Teststandartcaptions1: TMenuItem;
    InputQuerytest1: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure ShowMessage1Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
    procedure Teststandartcaptions1Click(Sender: TObject);
    procedure InputQuerytest1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure MyShowHint(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
procedure TForm1.MyShowHint(Sender: TObject);
begin
  StatusBar1.SimpleText := Application.Hint;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Application.OnHint := MyShowHint;
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  siLang1.ActiveLanguage := 1;
  English1.Checked := true;
  Russian1.Checked := false;
  Romanian1.Checked := false;
  SpeedButton1.Down := True;
end;

procedure TForm1.SpeedButton3Click(Sender: TObject);
begin
  siLang1.ActiveLanguage := 2;
  English1.Checked := false;
  Russian1.Checked := true;
  Romanian1.Checked := false;
  SpeedButton3.Down := True;
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
  siLang1.ActiveLanguage := 3;
  English1.Checked := false;
  Russian1.Checked := false;
  Romanian1.Checked := true;
  SpeedButton2.Down := True;
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
  close;
end;

procedure TForm1.ShowMessage1Click(Sender: TObject);
begin
  ShowMessage(siLang1.GetText('Test'));
end;

procedure TForm1.SpeedButton4Click(Sender: TObject);
begin
  siLang1.MessageDlg(siLang1.GetText('About1')+^M+siLang1.GetText('About2'), mtInformation, [mbOK], 0);
end;

procedure TForm1.Teststandartcaptions1Click(Sender: TObject);
begin
  if siLang1.MessageDlg(siLang1.GetText('GetLang1'), mtConfirmation, [mbYes,mbNo,mbHelp], 0) = mrYes then
    ShellExecute(GetDesktopWindow(), 'open', PChar('mailto:ishitikov@bigfoot.com?subject=Order of TsiLang!'), nil, nil, SW_SHOWNORMAL);
end;

procedure TForm1.InputQuerytest1Click(Sender: TObject);
var
   s1: string;
begin
  siLang1.InputQuery(siLang1.GetText('TestQuery1'),siLang1.GetText('TestQuery2'),s1);
end;

end.
